#$ delay 50
#$ expect \$

#$ sendcharacter # ssh: Connecting to backup.sfsre.com
#$ sendcontrol m
#$ expect \$
#$ wait 500

ssh backup.sfsre.com
# default ubuntu prompt expands to # for root and $ for all other users
#$ expect Welcome to Web 4.0

#$ sendcharacter # testing: Container dev-metatrom_once.sh_container
#$ sendcontrol m
#$ expect >
#$ wait 500

docker inspect $(docker ps | grep dev-metatrom_once.sh_container | cut -d " " -f 1) | grep -w '"IPAddress":' | grep -E '[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}' | sed -e 's/^[[:space:]]*//'
# default Web4x prompt expands to >
#$ expect >

iptables -nL -t nat --line-numbers | grep 192.168.192.3
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://192.168.192.3:8980/EAMD.ucp
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://0.0.0.0:8980/EAMD.ucp
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://127.0.0.1:8980/EAMD.ucp
#$ expect >

#$ sendcharacter # testing: dev-neom_once.sh_container
#$ sendcontrol m
#$ expect >
#$ wait 500

docker inspect $(docker ps | grep dev-neom_once.sh_container | cut -d " " -f 1) | grep -w '"IPAddress":' | grep -E '[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}' | sed -e 's/^[[:space:]]*//'
#$ expect >

iptables -nL -t nat --line-numbers | grep 192.168.224.2
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://192.168.224.2:9380/EAMD.ucp
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://0.0.0.0:9380/EAMD.ucp
#$ expect >

curl -ksL -o /dev/null -w "%{http_code}" http://127.0.0.1:9380/EAMD.ucp
#$ expect >

# exit ssh session
exit
#$ expect \$

# exit asciinema recording
exit